提交 97ec89e5 编写于 作者: M Masahiro Yamada 提交者: Tom Rini

kbuild: remove "*_felconfig" target

This target was added by commit cbdd9a97 (sunxi: kconfig: Add
%_felconfig rule to enable FEL build of sunxi platforms.).

At that time, U-Boot used separate .config files for U-Boot proper
and SPL.  I understood the pain to modify both .config and
spl/.config.

Now, we have switched to single .config configuration.
It seems acceptable to run "make menuconfig" or friends to enable
CONFIG_SPL_FEL, as we do for other CONFIGs.
Signed-off-by: NMasahiro Yamada <yamada.masahiro@socionext.com>
Cc: Ian Campbell <ijc@hellion.org.uk>
Cc: Hans de Goede <hdegoede@redhat.com>
Reviewed-by: NSimon Glass <sjg@chromium.org>
上级 3f54dc48
...@@ -70,16 +70,6 @@ do_board_defconfig () { ...@@ -70,16 +70,6 @@ do_board_defconfig () {
cleanup_after_defconfig cleanup_after_defconfig
} }
do_board_felconfig () {
do_board_defconfig ${1%%_felconfig}_defconfig
if ! grep -q CONFIG_ARCH_SUNXI=y .config || ! grep -q CONFIG_SPL=y .config ; then
echo "$progname: Cannot felconfig a non-sunxi or non-SPL platform" >&2
exit 1
fi
sed -i -e 's/\# CONFIG_SPL_FEL is not set/CONFIG_SPL_FEL=y\nCONFIG_UART0_PORT_F=n/g' \
.config
}
do_others () { do_others () {
run_make_config $1 run_make_config $1
} }
...@@ -90,8 +80,6 @@ target=$1 ...@@ -90,8 +80,6 @@ target=$1
case $target in case $target in
*_defconfig) *_defconfig)
do_board_defconfig $target;; do_board_defconfig $target;;
*_felconfig)
do_board_felconfig $target;;
*_config) *_config)
# backward compatibility # backward compatibility
do_board_defconfig ${target%_config}_defconfig;; do_board_defconfig ${target%_config}_defconfig;;
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册